<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\Dtos\Factory;

use Illuminate\Support\Collection;
use Seka\Portal\Modul\Terminy\Entities\Registracia\ValueObjects\ZoznamZvolenychMoznostiUdalostiValueObject;

/**
 * Class ZoznamZvolenychMoznostiDTOFactory
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Dtos\Factory
 */
final class ZoznamZvolenychMoznostiDTOFactory
{
    /**
     * @param \Illuminate\Support\Collection<ZoznamZvolenychMoznostiUdalostiValueObject> $zoznamZvolenychMoznosti
     *
     * @return array<\Seka\Portal\Modul\Terminy\Entities\Dtos\ZvoleneMoznostiDTO>
     */
    public static function make(Collection $zoznamZvolenychMoznosti): array
    {
        return $zoznamZvolenychMoznosti->map(function (ZoznamZvolenychMoznostiUdalostiValueObject $obj) {
            return ZvoleneMoznostiDTOFactory::make($obj);
        })->toArray();
    }
}
